#include <bits/stdc++.h>

using namespace std;

int N, M;

long long res = 0;      // max value so far
long long curr = 0;     // current number

void occulta(int i = 0) {
    res = max(res, curr % M);       // possibly update the maximum
    if(i >= N) return;              // reached max number of ciphers
    
    // do space for one more cipher
    int last = curr % 10;
    curr *= 10;
    
    // branch on each possible cipher
    if(last != 3) {
        curr += 3;
        occulta(i+1);
        curr -= 3;
    }
    if(last != 6) {
        curr += 6;
        occulta(i+1);
        curr -= 6;
    }
    if(last != 9) {
        curr += 9;
        occulta(i+1);
        curr -= 9;
    }

    // unroll    
    curr /= 10;
}


int main() {
    FILE *fr, *fw;
    int T, i;

    fr = fopen("input.txt", "r");
    fw = fopen("output.txt", "w");
    assert(1 == fscanf(fr, "%d", &T));
    for (i=0; i<T; i++) {
        assert(2 == fscanf(fr, "%d %d", &N, &M));
        res = curr = 0;
        occulta();
        fprintf(fw, "%d ", res);
    }

    fprintf(fw, "\n");
    fclose(fr);
    fclose(fw);
    return 0;
}
