#include <algorithm>
#include <deque>

using namespace std;

// we start with the greatest number, followed by the smallest number,
// and repeat this pattern
void permute(int subtask, int N, int V[], int R[]) {
    sort(V, V+N);
    deque<int> v(V, V+N);   // we are going to take elements from both sides
    for(int i = 0; i < N; i++) {
        if(i % 2 == 1) { R[i] = v.front(); v.pop_front(); }
        else { R[i] = v.back(); v.pop_back(); }
    }
}
