#include <stdio.h>
#include <assert.h>
#include <algorithm>
#include <iostream>

using namespace std;

#define MAXN 100000

int sfangate(int N, int V[]) {
    int sum = 0, i;
    for(i = 0; i < N; i++) sum += V[i];

    // it's convenient to flip the most negative numbers
    sort(V, V+N);    

    for(i = 0; sum <= 0; i++) sum -= V[i]*2;     // sfangata!
    return i;
}


int V[MAXN];

int main() {
    FILE *fr, *fw;
    int N, i;

    fr = fopen("input.txt", "r");
    fw = fopen("output.txt", "w");
    assert(1 == fscanf(fr, "%d", &N));
    for(i=0; i<N; i++)
        assert(1 == fscanf(fr, "%d", &V[i]));

    fprintf(fw, "%d\n", sfangate(N, V));
    fclose(fr);
    fclose(fw);
    return 0;
}
