#include <stdio.h>
#include <assert.h>
#include <climits>
#include <algorithm>

using namespace std;

#define MAXN 10000

int viaggia(int N, int C[]) {
    int res = 0, cost = INT_MAX-1;
    for(int i = 0; i < N; i++) {
        cost = min(cost+1, C[i]);
        res += cost;
    }
    return res;
}


int C[MAXN];

int main() {
    FILE *fr, *fw;
    int N, i;

    fr = fopen("input.txt", "r");
    fw = fopen("output.txt", "w");
    assert(1 == fscanf(fr, "%d", &N));
    for(i=0; i<N; i++)
        assert(1 == fscanf(fr, "%d", &C[i]));

    fprintf(fw, "%d\n", viaggia(N, C));
    fclose(fr);
    fclose(fw);
    return 0;
}
